Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[SOLVED] emul-linux-x86-sdl conflicts with openal
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
dragos240
Apprentice
Apprentice


Joined: 19 Apr 2009
Posts: 231

PostPosted: Sat Apr 07, 2012 10:31 am    Post subject: [SOLVED] emul-linux-x86-sdl conflicts with openal Reply with quote

Hello. I have a good chunk of my applications non-functional due to what appears to be a file-collision. There are is one application that depends on emul-linux-x86-sdl, that is wine, and it's because I have a 64-bit system. That seems to be unavoidable. However emul-linux-x86-sdl installs the same files as openal, causing a file-collision to occur. In short, openal and emul-linux-x86-sdl cannot be installed simultaneously. What I find interesting is that wine depends on both openal and emul-linux-x86-sdl, making it impossible to upgrade.

Here is what I get when openal is installed and I try to install "emul-linux-x86-sdl":
Code:
* Messages for package app-emulation/emul-linux-x86-sdl-20120127:

 * This package will overwrite one or more files that may belong to other
 * packages (see list below). You can use a command such as `portageq
 * owners / <filename>` to identify the installed package that owns a
 * file. If portageq reports that only one package owns a file then do
 * NOT file a bug report. A bug report is only useful if it identifies at
 * least two or more packages that are known to install the same file(s).
 * If a collision occurs and you can not explain where the file came from
 * then you should simply ignore the collision since there is not enough
 * information to determine if a real problem exists. Please do NOT file
 * a bug report at http://bugs.gentoo.org unless you report exactly which
 * two packages install the same file(s). Once again, please do NOT file
 * a bug report unless you have completely understood the above message.
 *
 * Detected file collision(s):
 *
 *    /usr/lib32/libopenal.so.1.13.0
 *    /usr/lib32/libopenal.so.1
 *    /usr/lib32/libopenal.so
 *
 * Searching all installed packages for file collisions...
 *
 * Press Ctrl-C to Stop
 *
 * media-libs/openal-1.13
 *    /usr/lib32/libopenal.so
 *    /usr/lib32/libopenal.so.1
 *    /usr/lib32/libopenal.so.1.13.0
 *
 * Package 'app-emulation/emul-linux-x86-sdl-20120127' NOT merged due to
 * file collisions. If necessary, refer to your elog messages for the
 * whole content of the above message.


emerge --info:
Code:

Portage 2.1.10.49 (default/linux/amd64/10.0/desktop, gcc-4.4.6, glibc-2.13-r4, 3.2.1-gentoo-r2 x86_64)
=================================================================
System uname: Linux-3.2.1-gentoo-r2-x86_64-AMD_Athlon-tm-_II_X4_640_Processor-with-gentoo-2.0.3
Timestamp of tree: Fri, 06 Apr 2012 22:30:01 +0000
app-shells/bash:          4.2_p20
dev-java/java-config:     2.1.11-r3
dev-lang/python:          2.6.7-r2, 2.7.2-r3, 3.1.4-r3, 3.2.2-r1
dev-util/cmake:           2.8.6-r4
dev-util/pkgconfig:       0.26
sys-apps/baselayout:      2.0.3
sys-apps/openrc:          0.9.8.4
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.68
sys-devel/automake:       1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:       2.21.1-r1
sys-devel/gcc:            3.3.6-r1, 4.4.6-r1, 4.5.3-r2
sys-devel/gcc-config:     1.5-r2
sys-devel/libtool:        2.4-r1
sys-devel/make:           3.82-r1
sys-kernel/linux-headers: 3.1 (virtual/os-headers)
sys-libs/glibc:           2.13-r4
Repositories: gentoo gamerlay-stable v-fox
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/maven-bin-2.2/conf /usr/share/maven-bin-3.0/conf /var/bind /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs distlocks ebuild-locks fixlafiles news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS=""
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="en_GB.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="ja en"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/gamerlay /var/lib/layman/v-fox"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi alsa amd64 anthy apng avahi berkdb bidi bluetooth branding bzip2 cairo cdda cdio cdr cjk cli consolekit cracklib crypt cups cxx dbus dlz dri dts dvd dvdr emboss encode exif faac fam ffmpeg firefox flac fortran freetype gdbm gdu gif glu gnutls gpm gtk hpcups httpd iconv icu ipv6 jpeg lapack lcms ldap libnotify live lua m17n-lib mad matroska mmx mng modules mp3 mp4 mpeg mudflap multilib ncurses network nls nptl nptlonly nsplugin ogg oggvorbis openal opengl openmp pam pango pcre pdf png policykit ppds pppd pulseaudio python qt3support qt4 readline scanner sdl session spell sqlite sse sse2 ssl startup-notification stream svg sysfs tcpd theora tiff truetype udev unicode usb vaapi vcd vlm vorbis wxwindows x264 xcb xml xorg xulrunner xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev mouse keyboard" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="ja en" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON


make.conf:
Code:

# These settings were set by the catalyst build script that automatically
# built this stage.
# Please consult /usr/share/portage/config/make.conf.example for a more
# detailed example.
CFLAGS="-O2 -pipe"
CXXFLAGS="${CFLAGS}"
# WARNING: Changing your CHOST is not something that should be done lightly.
# Please consult http://www.gentoo.org/doc/en/change-chost.xml before changing.
CHOST="x86_64-pc-linux-gnu"
# These are the USE flags that were used in addition to what is provided by the
# profile used for building.
USE="openal avahi acl pulseaudio dlz cjk unicode nls anthy hpcups m17n-lib mmx faac dvd sqlite vaapi ffmpeg network mpeg mad wxwindows aac dts a52 ogg flac theora oggvorbis matroska freetype bidi xv svga gnutls stream vlm httpd cdda vcd cdio live lua usb scanner python cli lapack glu sse nsplugin icu sse2 X alsa udev apng -kde gtk cups cdr"
LINGUAS="ja en"
INPUT_DEVICES="evdev mouse keyboard"
VIDEO_CARDS="nvidia"
MAKEOPTS="-j5"
ACCEPT_LICENSE="*"
source /var/lib/layman/make.conf


Removing "openal" from the USE section in make.conf will not affect the outcome.

I'd appreciate it greatly if someone could help me.

Thanks in advance,
Dragos240


Last edited by dragos240 on Sat Apr 07, 2012 12:17 pm; edited 1 time in total
Back to top
View user's profile Send private message
gorkypl
Guru
Guru


Joined: 04 Oct 2010
Posts: 444
Location: Kraków, PL

PostPosted: Sat Apr 07, 2012 10:45 am    Post subject: Reply with quote

On a 64bit system media-libs/openal-1.13 should not install ANY files into /usr/lib32/
Please add ACCEPT_KEYWORDS="amd64" to /etc/make.conf, rebuild media-libs/openal and check if the problem persists.
_________________
BTW, TWM FTW!
Back to top
View user's profile Send private message
dragos240
Apprentice
Apprentice


Joined: 19 Apr 2009
Posts: 231

PostPosted: Sat Apr 07, 2012 10:54 am    Post subject: Reply with quote

gorkypl wrote:
On a 64bit system media-libs/openal-1.13 should not install ANY files into /usr/lib32/
Please add ACCEPT_KEYWORDS="amd64" to /etc/make.conf, rebuild media-libs/openal and check if the problem persists.


After adding that line to make.conf, the problem still persists. Any ideas?
Back to top
View user's profile Send private message
gorkypl
Guru
Guru


Joined: 04 Oct 2010
Posts: 444
Location: Kraków, PL

PostPosted: Sat Apr 07, 2012 11:03 am    Post subject: Reply with quote

Please do
Code:

emerge -C media-libs/openal

and then post results of
Code:

equery belongs /usr/lib32/libopenal.so

_________________
BTW, TWM FTW!
Back to top
View user's profile Send private message
dragos240
Apprentice
Apprentice


Joined: 19 Apr 2009
Posts: 231

PostPosted: Sat Apr 07, 2012 11:25 am    Post subject: Reply with quote

gorkypl wrote:
Please do
Code:

emerge -C media-libs/openal

and then post results of
Code:

equery belongs /usr/lib32/libopenal.so

Code:
$ equery belongs /usr/lib32/libopenal.so
 * Searching for /usr/lib32/libopenal.so ...


It didn't come up with anything. The file does not exist.
Back to top
View user's profile Send private message
gorkypl
Guru
Guru


Joined: 04 Oct 2010
Posts: 444
Location: Kraków, PL

PostPosted: Sat Apr 07, 2012 11:33 am    Post subject: Reply with quote

So now you should be fine, let wine pull media-libs/openal as a dependency and it should not conflict anymore.

I am wondering why it happened, though. Have you migrated to amd64 from a 32bit system maybe?
_________________
BTW, TWM FTW!
Back to top
View user's profile Send private message
dragos240
Apprentice
Apprentice


Joined: 19 Apr 2009
Posts: 231

PostPosted: Sat Apr 07, 2012 11:36 am    Post subject: Reply with quote

gorkypl wrote:
So now you should be fine, let wine pull media-libs/openal as a dependency and it should not conflict anymore.

I am wondering why it happened, though. Have you migrated to amd64 from a 32bit system maybe?

Nope. I'm still using a 64 bit system. It just happened one day. I don't think that'll fix the problem though. I've unmerged it before and let wine pull it and it did the same thing.
Aha. Did it again:

Code:

>>> Installing (2 of 3) app-emulation/emul-linux-x86-sdl-20120127
 * This package will overwrite one or more files that may belong to other
 * packages (see list below). You can use a command such as `portageq
 * owners / <filename>` to identify the installed package that owns a
 * file. If portageq reports that only one package owns a file then do
 * NOT file a bug report. A bug report is only useful if it identifies at
 * least two or more packages that are known to install the same file(s).
 * If a collision occurs and you can not explain where the file came from
 * then you should simply ignore the collision since there is not enough
 * information to determine if a real problem exists. Please do NOT file
 * a bug report at http://bugs.gentoo.org unless you report exactly which
 * two packages install the same file(s). Once again, please do NOT file
 * a bug report unless you have completely understood the above message.
 *
 * Detected file collision(s):
 *
 *    /usr/lib32/libopenal.so.1.13.0
 *    /usr/lib32/libopenal.so.1
 *    /usr/lib32/libopenal.so
 *
 * Searching all installed packages for file collisions...
 *
 * Press Ctrl-C to Stop
 *
 * media-libs/openal-1.13
 *    /usr/lib32/libopenal.so
 *    /usr/lib32/libopenal.so.1
 *    /usr/lib32/libopenal.so.1.13.0
 *
 * Package 'app-emulation/emul-linux-x86-sdl-20120127' NOT merged due to
 * file collisions. If necessary, refer to your elog messages for the
 * whole content of the above message.

>>> Failed to install app-emulation/emul-linux-x86-sdl-20120127, Log file:
Back to top
View user's profile Send private message
gorkypl
Guru
Guru


Joined: 04 Oct 2010
Posts: 444
Location: Kraków, PL

PostPosted: Sat Apr 07, 2012 11:49 am    Post subject: Reply with quote

Hmm, I have just checked and openal definitely does not contain ANY 32bit libraries.
Please post the result of
Code:
emerge -pv media-libs/openal

_________________
BTW, TWM FTW!
Back to top
View user's profile Send private message
dragos240
Apprentice
Apprentice


Joined: 19 Apr 2009
Posts: 231

PostPosted: Sat Apr 07, 2012 12:11 pm    Post subject: Reply with quote

My apologies. This was due to a layman overlay that happened to have a bugged version of openal. I masked the openal in that overlay and the problem went away.
Sorry for the trouble.

Thanks,
Dragos240
Back to top
View user's profile Send private message
gorkypl
Guru
Guru


Joined: 04 Oct 2010
Posts: 444
Location: Kraków, PL

PostPosted: Sat Apr 07, 2012 12:13 pm    Post subject: Reply with quote

Glad it works now :)
_________________
BTW, TWM FTW!
Back to top
View user's profile Send private message
ExecutorElassus
l33t
l33t


Joined: 11 Mar 2004
Posts: 759
Location: Stuttgart, Germany

PostPosted: Sat Sep 07, 2013 8:13 am    Post subject: Reply with quote

I ran into this same problem today, but I don't have any overlay version of openal installed. I see this when I try to emerge audacious:

Code:

# emerge -pDuv audacious audacious-plugins

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U  ] app-dicts/myspell-de-2012.06.17-r1 [2012.06.10] 13,490 kB
[ebuild  N     ] media-libs/openal-1.15.1-r1  USE="alsa sse -alstream (-coreaudio) -debug (-neon) -oss -portaudio -pulseaudio" ABI_X86="32 (64) (-x32)" 0 kB
[ebuild     U  ] media-sound/audacious-3.4.1 [3.3.4] USE="nls -chardet" 0 kB
[ebuild     U  ] media-plugins/audacious-plugins-3.4.1 [3.3.4] USE="aac alsa ffmpeg flac ipv6 jack lame libsamplerate mp3 nls sndfile vorbis -adplug -bs2b -cdda -cue -fluidsynth -gnome -libnotify -lirc -midi -mms -pulseaudio -scrobbler -sdl -sid -wavpack" 0 kB
[ebuild     U  ] kde-base/kdelibs-4.11.1:4 [4.11.0-r1:4] USE="acl alsa bzip2 handbook mmx nls opengl policykit spell sse sse2 ssl udev udisks upower -3dnow (-altivec) (-aqua) -debug -doc -fam -jpeg2k -kerberos -lzma -openexr {-test} -zeroconf" 0 kB
[ebuild     U  ] kde-base/katepart-4.11.1:4 [4.11.0:4] USE="handbook (-aqua) -debug" 0 kB
[ebuild     U  ] kde-base/nepomuk-core-4.11.1:4 [4.11.0:4] USE="ffmpeg pdf (-aqua) -debug -epub -exif -taglib" 0 kB
[ebuild     U  ] kde-base/nepomuk-widgets-4.11.1:4 [4.11.0:4] USE="(-aqua) -debug" 0 kB
[ebuild     U  ] kde-base/kdesu-4.11.1:4 [4.11.0:4] USE="handbook (-aqua) -debug" 0 kB
[ebuild     U  ] kde-base/khelpcenter-4.11.1:4 [4.11.0:4] USE="(-aqua) -debug" 0 kB
[ebuild     U  ] kde-base/kde-l10n-4.11.1:4 [4.11.0:4] USE="handbook (-aqua)" LINGUAS="de -ar -bg -bs -ca -ca@valencia -cs -da -el -en_GB -es -et -eu -fa -fi -fr -ga -gl -he -hi -hr -hu -ia -is -it -ja -kk -km -ko -lt -lv -mr -nb -nds -nl -nn -pa -pl -pt -pt_BR -ro -ru -sk -sl -sr -sv -tg -tr -ug -uk -vi -wa -zh_CN -zh_TW" 0 kB

Total: 11 packages (10 upgrades, 1 new), Size of downloads: 13,490 kB

Should I set abi_x86_64 manually for openal in package.use?

UPDATE: yup, explicitly disabling abi_x86_32 in package.use solves the problem.

Cheers,

EE
Back to top
View user's profile Send private message
vootey
n00b
n00b


Joined: 24 Jul 2010
Posts: 29
Location: Austria

PostPosted: Sun Sep 08, 2013 4:49 pm    Post subject: Reply with quote

ExecutorElassus wrote:
I ran into this same problem today, but I don't have any overlay version of openal installed.

Most likely you are referring to this bug: https://bugs.gentoo.org/show_bug.cgi?id=484060
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum